Download it now!
Bug 134183 - FILEOPEN PPTX: gradient angle off by 180° (and position off, too)
Summary: FILEOPEN PPTX: gradient angle off by 180° (and position off, too)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-21 09:55 UTC by Gerald Pfeifer
Modified: 2020-08-14 19:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Two sample slides (PPTX) (3.32 MB, application/vnd.ms-powerpoint)
2020-06-21 09:55 UTC, Gerald Pfeifer
Details
How it looks in LibreOffice (706.87 KB, image/png)
2020-06-21 09:55 UTC, Gerald Pfeifer
Details
How it looks in Office 365 (387.30 KB, image/png)
2020-06-21 09:58 UTC, Gerald Pfeifer
Details
How it looks in LibreOffice 7.1 after the patch (705.90 KB, image/png)
2020-08-07 08:17 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2020-06-21 09:55:18 UTC
Created attachment 162242 [details]
Two sample slides (PPTX)

Both of these two slides exhibit the same issue.

The transition "softening" the image is quite off in Impress compared to
Office 365. 

(I believe the gradient angle is off by 180° and also the position of the
gradient looks different in LO than in 365, but that is just a preliminary
diagnoses - the issue is ... it looks very differently.)

Version: 7.1.0.0.alpha0+
Build ID: a3c8ea5e644ca2fc04de9f01ba9f8ace47f520f0
CPU threads: 4; OS: Linux 5.6; UI render: default; VCL: gtk3
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-17_02:21:20

Also seen in LibreOffice 6.4.4.2.
Comment 1 Gerald Pfeifer 2020-06-21 09:55:51 UTC
Created attachment 162243 [details]
How it looks in LibreOffice
Comment 2 Gerald Pfeifer 2020-06-21 09:58:10 UTC
Created attachment 162244 [details]
How it looks in Office 365
Comment 3 Xisco Faulí 2020-06-22 13:31:39 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.19; Render: default; 

Locale: en-US (en_US.UTF-8)

and

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 4 Commit Notification 2020-08-06 11:25:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/73993fdb5d4b507694cd0edf80887d19f7e2bf9a

tdf#134183 PPTX: improve import of transparency in multi-step gradients

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2020-08-07 07:56:27 UTC
I think this is now fixed on master.
Comment 6 Xisco Faulí 2020-08-07 08:16:51 UTC
(In reply to Miklos Vajna from comment #5)
> I think this is now fixed on master.

Yeeees, I believe so, it looks really nice in

Version: 7.1.0.0.alpha0+
Build ID: e87fb75453b26f8f452f4db1130f672a681eaf71
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 7 Xisco Faulí 2020-08-07 08:17:34 UTC
Created attachment 164024 [details]
How it looks in LibreOffice 7.1 after the patch
Comment 8 Commit Notification 2020-08-10 08:44:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6f1cbda681545fa3667b107830ebea804b08c98c

tdf#134183 PPTX: improve import of transparency in multi-step gradients

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 BogdanB 2020-08-14 19:16:47 UTC
This bug is solved.

Verified in 
Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded